Record an allowlisted Storefront analytics event
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/analytics-events \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Cart-Token: <api-key>' \
--data '
{
"cartId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/analytics-events"
payload = {
"cartId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Cart-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Cart-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({cartId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', metadata: {}})
};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/analytics-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "accepted"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Analytics
Record an allowlisted Storefront analytics event
POST
/
locations
/
{locationId}
/
analytics-events
Record an allowlisted Storefront analytics event
Authorizations
StorefrontCartCapabilityStorefrontCustomerAuth
Purpose-limited capability returned for a guest cart.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Path Parameters
Required string length:
1 - 128Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
SCAN, CART_VIEW, CHECKOUT_VIEW Show child attributes
Show child attributes
Response
Event accepted.
Available options:
accepted